import { Http } from '../../../util/http';
import type { ReleaseResult } from '../types';
export declare function getResourceUrl(http: Http, url: string, resourceType?: string): Promise<string | null>;
/**
 * Compare two versions. Return:
 * - `1` if `a > b` or `b` is invalid
 * - `-1` if `a < b` or `a` is invalid
 * - `0` if `a == b` or both `a` and `b` are invalid
 */
export declare function sortNugetVersions(a: string, b: string): number;
export declare function getReleases(http: Http, registryUrl: string, feedUrl: string, pkgName: string): Promise<ReleaseResult | null>;
